org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle

## Class DerivedCircuitBreakerOnClassNoRedefinition

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnClass
  - - org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.DerivedCircuitBreakerOnClassNoRedefinition

All Implemented Interfaces:
  CircuitBreakerLifecycleService

    @Dependent
     @Typed(value=DerivedCircuitBreakerOnClassNoRedefinition.class)
    public class DerivedCircuitBreakerOnClassNoRedefinition
    extends BaseCircuitBreakerOnClass

### Constructor Summary

Constructors
Constructor and Description
`DerivedCircuitBreakerOnClassNoRedefinition()`

### Method Summary

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnClass

`instanceId, service`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DerivedCircuitBreakerOnClassNoRedefinition

    public DerivedCircuitBreakerOnClassNoRedefinition()